Bug 601387 - [abrt] crash in pdfedit-0.4.3-2.fc12: SIGABRT: observer::ObserverException::~ObserverException()
[abrt] crash in pdfedit-0.4.3-2.fc12: SIGABRT: observer::ObserverException::~...
Status: CLOSED DUPLICATE of bug 656000
Product: Fedora
Classification: Fedora
Component: pdfedit (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
abrt_hash:a86046b4e28ecaef14ec8a9f3ac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 16:36 EDT by Vlad
Modified: 2010-11-22 18:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-22 18:02:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (34.53 KB, text/plain)
2010-06-07 16:36 EDT, Vlad
no flags Details

  None (edit)
Description Vlad 2010-06-07 16:36:54 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: pdfedit
component: pdfedit
crash_function: raise
executable: /usr/bin/pdfedit
global_uuid: a86046b4e28ecaef14ec8a9f3acaf541a99824dd
kernel: 2.6.32.12-115.fc12.i686
package: pdfedit-0.4.3-2.fc12
rating: 4
reason: Process /usr/bin/pdfedit was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.Открыт PDF документ созданный сканированием на копировальном аппарате.
2.Добавлены страницы из нескольких других аналогичных документов.
3.Сохранена версия.
4.Сохранена копия.
5.Файл закрыт. Во время закрытия - сбой.
Comment 1 Vlad 2010-06-07 16:36:57 EDT
Created attachment 421938 [details]
File: backtrace
Comment 2 Orion Poplawski 2010-11-01 16:51:16 EDT
#6  0x03c11a72 in __cxxabiv1::__cxa_throw (obj=0x925a3d8, tinfo=0x83b65e4, 
    dest=0x806f450 <observer::ObserverException::~ObserverException()>)
    at ../../../../libstdc++-v3/libsupc++/eh_throw.cc:83
        header = <value optimized out>
#7  0x082b9055 in observer::ObserverHandler<pdfobjects::CPage>::unregisterObserver(boost::shared_ptr<observer::IObserver<pdfobjects::CPage> const> const&) ()
No symbol table info available.
#8  0x0809e6ee in gui::TreeItemPage::uninitObserver() ()
No symbol table info available.
#9  0x080a0b4d in gui::TreeItemPage::~TreeItemPage() ()


Sorry, don't under stand the language.  
Can you reproduce with 0.4.5-1.fc12?
Comment 3 Bug Zapper 2010-11-03 09:28:34 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Orion Poplawski 2010-11-22 18:02:17 EST

*** This bug has been marked as a duplicate of bug 656000 ***

Note You need to log in before you can comment on or make changes to this bug.